Index: general.ent
===================================================================
--- general.ent	(revision 4ab1b56ae61ea25931098cca0ab31661fd3de8b2)
+++ general.ent	(revision 676ac4841d4ea218a5e1bacae505b011c0eb9a7f)
@@ -1,3 +1,3 @@
-<!ENTITY day          "10">
+<!ENTITY day          "11">
 <!ENTITY month        "01">
 <!ENTITY year         "2005">
@@ -333,6 +333,9 @@
 <!ENTITY eel-version                  "2.8.2">
 <!ENTITY nautilus-version             "2.8.2">
+<!ENTITY gnome2-user-docs-version     "2.8.1">
+<!ENTITY libgtkhtml-version           "2.6.2">
+<!ENTITY gnome-doc-utils-version      "0.1">
+<!ENTITY yelp-version                 "2.6.4">
 <!ENTITY control-center-version       "2.8.1">
-<!ENTITY gnome2-user-docs-version     "2.8.1">
 
 <!-- Chapter 31 -->
@@ -342,8 +345,5 @@
 <!ENTITY gal-version                  "2.2.3">
 <!ENTITY gtkhtml-version              "3.2.3">
-<!ENTITY libgtkhtml-version           "2.6.2">
 <!ENTITY evolution-data-server-version "1.0.2">
-<!ENTITY gnome-doc-utils-version      "0.1">
-<!ENTITY yelp-version                 "2.6.4">
 <!ENTITY bug-buddy-version            "2.8.0">
 <!ENTITY gtksourceview-version        "1.1.1">
Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision 4ab1b56ae61ea25931098cca0ab31661fd3de8b2)
+++ gnome/add/add.xml	(revision 676ac4841d4ea218a5e1bacae505b011c0eb9a7f)
@@ -20,8 +20,5 @@
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gal.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gtkhtml.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgtkhtml.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="evolution-data-server.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-doc-utils.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="yelp.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bug-buddy.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gtksourceview.xml"/>
Index: ome/add/gnome-doc-utils.xml
===================================================================
--- gnome/add/gnome-doc-utils.xml	(revision 4ab1b56ae61ea25931098cca0ab31661fd3de8b2)
+++ 	(revision )
@@ -1,114 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
-   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY gnome-doc-utils-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/&gnome-doc-utils-version;/gnome-doc-utils-&gnome-doc-utils-version;.tar.bz2">
-  <!ENTITY gnome-doc-utils-download-ftp  "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/&gnome-doc-utils-version;/gnome-doc-utils-&gnome-doc-utils-version;.tar.bz2">
-  <!ENTITY gnome-doc-utils-md5sum        "5b741eb63e11bc35e81587839e4d4759">
-  <!ENTITY gnome-doc-utils-size          "233 KB">
-  <!ENTITY gnome-doc-utils-buildsize     "5.5 MB">
-  <!ENTITY gnome-doc-utils-time          "0.04 SBU">
-]>
-
-<sect1 id="gnome-doc-utils" xreflabel="GNOME Doc Utils-&gnome-doc-utils-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="gnome-doc-utils.html"?>
-<title><application><acronym>GNOME</acronym> Doc 
-Utils</application>-&gnome-doc-utils-version;</title>
-
-<sect2>
-<title>Introduction to <application><acronym>GNOME</acronym> Doc 
-Utils</application></title>
-
-<para>The <application><acronym>GNOME</acronym> Doc Utils</application> 
-package is a collection of documentation utilities for the 
-<application><acronym>GNOME</acronym></application> project. Notably, it 
-contains utilities for building documentation and all auxiliary files in your 
-source tree, and it contains the DocBook <acronym>XSLT</acronym> stylesheets 
-that were once distributed with <application>Yelp</application>. Starting with 
-<application><acronym>GNOME</acronym></application> 2.8, 
-<application>Yelp</application> will require 
-<application><acronym>GNOME</acronym> Doc Utils</application> for the 
-<acronym>XSLT</acronym>.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing="compact">
-<listitem><para>Download (HTTP): 
-<ulink url="&gnome-doc-utils-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): 
-<ulink url="&gnome-doc-utils-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &gnome-doc-utils-md5sum;</para></listitem>
-<listitem><para>Download size: &gnome-doc-utils-size;</para></listitem>
-<listitem><para>Estimated disk space required: 
-&gnome-doc-utils-buildsize;</para></listitem>
-<listitem><para>Estimated build time: 
-&gnome-doc-utils-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title><application><acronym>GNOME</acronym> Doc Utils</application> 
-dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="scrollkeeper"/></para>
-</sect4>
-
-<sect4><title>Optional</title>
-<para><xref linkend="pkgconfig"/> and <xref linkend="python"/></para>
-</sect4>
-</sect3>
-
-</sect2>
-
-<sect2>
-<title>Installation of <application><acronym>GNOME</acronym> Doc 
-Utils</application></title>
-
-<para>Install <application><acronym>GNOME</acronym> Doc Utils</application> 
-by running the following commands:</para>
-
-<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
-    --localstatedir=/var/lib &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
-
-</sect2>
-
-<sect2>
-<title>Command explanations</title>
-
-<para><parameter>--localstatedir=/var/lib</parameter>: This switch puts
-<application>ScrollKeeper</application> files in
-<filename class='directory'>/var/lib/scrollkeeper</filename> instead of
-<filename class='directory'>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
-
-</sect2>
-
-<sect2>
-<title>Contents</title>
-
-<para>The <application><acronym>GNOME</acronym> Doc Utils</application> 
-package contains <command>xml2po</command> and custom DocBook 
-<acronym>XSLT</acronym> stylesheets.</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>xml2po</title>
-<para><command>xml2po</command> is a <application>Python</application> script 
-used to translate <acronym>XML</acronym> documents.</para>
-</sect3>
-
-<sect3><title><acronym>XSLT</acronym> stylesheets</title>
-<para><filename>XSLT stylesheets</filename> are used 
-instead of the Sourceforge maintained stylesheets.</para>
-</sect3>
-
-</sect2>
-
-</sect1>
-
Index: ome/add/libgtkhtml.xml
===================================================================
--- gnome/add/libgtkhtml.xml	(revision 4ab1b56ae61ea25931098cca0ab31661fd3de8b2)
+++ 	(revision )
@@ -1,96 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
-   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-<!ENTITY libgtkhtml-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.6/libgtkhtml-&libgtkhtml-version;.tar.bz2">
-<!ENTITY libgtkhtml-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.6/libgtkhtml-&libgtkhtml-version;.tar.bz2">
-<!ENTITY libgtkhtml-md5sum "a9b71134e50e62d20ab4777f899225b3">
-<!ENTITY libgtkhtml-size "417 KB">
-<!ENTITY libgtkhtml-buildsize "28.4 MB">
-<!ENTITY libgtkhtml-time "0.80 SBU">
-]>
-
-<sect1 id="libgtkhtml" xreflabel="libgtkhtml-&libgtkhtml-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="libgtkhtml.html"?>
-<title>libgtkhtml-&libgtkhtml-version;</title>
-
-<sect2>
-<title>Introduction to <application>libgtkhtml</application></title>
-
-<para>The <application>libgtkhtml</application> package contains
-<filename class="libraryfile">libgtkhtml-2</filename> libraries.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&libgtkhtml-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&libgtkhtml-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &libgtkhtml-md5sum;</para></listitem>
-<listitem><para>Download size: &libgtkhtml-size;</para></listitem>
-<listitem><para>Estimated disk space required:
-&libgtkhtml-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&libgtkhtml-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title><application>libgtkhtml</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="gnome-vfs"/></para>
-</sect4>
-
-<sect4><title>Optional</title>
-<para><xref linkend="gail"/></para>
-</sect4>
-</sect3>
-
-</sect2>
-
-<sect2>
-<title>Installation of <application>libgtkhtml</application></title>
-
-<para>Install <application>libgtkhtml</application> by running the following 
-commands:</para>
-
-<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
-            --disable-accessibility &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
-
-</sect2>
-
-<sect2>
-<title>Command explanations</title>
-
-<para><parameter>--disable-accessibility</parameter>: This forces the package 
-to build without linking to the 
-<filename class='libraryfile'>libgailutil</filename> accessibility library. 
-Remove this switch if you have <application>GAIL</application> installed.</para>
-
-</sect2>
-
-<sect2>
-<title>Contents</title>
-
-<para>The <application>libgtkhtml</application> package contains
-<filename class="libraryfile">libgtkhtml-2</filename> libraries.</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>libgtkhtml-2 libraries</title>
-<para><filename class="libraryfile">libgtkhtml-2</filename> libraries provide 
-the functions necessary to render and/or edit 
-<acronym>HTML</acronym>.</para></sect3>
-
-</sect2>
-
-</sect1>
-
Index: ome/add/yelp.xml
===================================================================
--- gnome/add/yelp.xml	(revision 4ab1b56ae61ea25931098cca0ab31661fd3de8b2)
+++ 	(revision )
@@ -1,105 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
-   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-<!ENTITY yelp-download-http "http://ftp.gnome.org/pub/GNOME/sources/yelp/2.6/yelp-&yelp-version;.tar.bz2">
-<!ENTITY yelp-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/yelp/2.6/yelp-&yelp-version;.tar.bz2">
-<!ENTITY yelp-md5sum "77d919335650ef0d114c951637669bda">
-<!ENTITY yelp-size "639 KB">
-<!ENTITY yelp-buildsize "9.1 MB">
-<!ENTITY yelp-time "0.17 SBU">
-]>
-
-<sect1 id="yelp" xreflabel="Yelp-&yelp-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="yelp.html"?>
-<title>Yelp-&yelp-version;</title>
-
-<sect2>
-<title>Introduction to <application>Yelp</application></title>
-
-<para>The <application>Yelp</application> package contains the help browser. 
-This is useful for viewing help files.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&yelp-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&yelp-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &yelp-md5sum;</para></listitem>
-<listitem><para>Download size: &yelp-size;</para></listitem>
-<listitem><para>Estimated disk space required:
-&yelp-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&yelp-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title><application>Yelp</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="libgnomeui"/>, 
-<xref linkend="libgtkhtml"/> and 
-<xref linkend="scrollkeeper"/></para>
-</sect4>
-
-<sect4><title>Recommended</title>
-<para><xref linkend="gnome-doc-utils"/> (required for <acronym>XSLT</acronym> 
-transformations)</para>
-</sect4>
-</sect3>
-
-</sect2>
-
-<sect2>
-<title>Installation of <application>Yelp</application></title>
-
-<para>Install <application>Yelp</application> by running the following 
-commands:</para>
-
-<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
-    --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
-    --localstatedir=/var/lib &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
-
-</sect2>
-
-<sect2>
-<title>Command explanations</title>
-
-<para><parameter>--libexecdir=`pkg-config --variable=prefix
-ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
-<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
-<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
-
-<para><parameter>--localstatedir=/var/lib</parameter>: This switch puts
-<application>ScrollKeeper</application> files in 
-<filename class='directory'>/var/lib/scrollkeeper</filename> instead of
-<filename class='directory'>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
-
-</sect2>
-
-<sect2>
-<title>Contents</title>
-
-<para>The <application>Yelp</application> package contains 
-<command>yelp</command>.</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>yelp</title>
-<para><command>yelp</command> is the
-<application><acronym>GNOME</acronym></application> help browser.</para>
-</sect3>
-
-</sect2>
-
-</sect1>
-
Index: gnome/core/core.xml
===================================================================
--- gnome/core/core.xml	(revision 4ab1b56ae61ea25931098cca0ab31661fd3de8b2)
+++ gnome/core/core.xml	(revision 676ac4841d4ea218a5e1bacae505b011c0eb9a7f)
@@ -43,4 +43,7 @@
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="control-center.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome2-user-docs.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgtkhtml.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-doc-utils.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="yelp.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="config.xml"/>
 
Index: gnome/core/gnome-doc-utils.xml
===================================================================
--- gnome/core/gnome-doc-utils.xml	(revision 676ac4841d4ea218a5e1bacae505b011c0eb9a7f)
+++ gnome/core/gnome-doc-utils.xml	(revision 676ac4841d4ea218a5e1bacae505b011c0eb9a7f)
@@ -0,0 +1,114 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnome-doc-utils-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/&gnome-doc-utils-version;/gnome-doc-utils-&gnome-doc-utils-version;.tar.bz2">
+  <!ENTITY gnome-doc-utils-download-ftp  "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/&gnome-doc-utils-version;/gnome-doc-utils-&gnome-doc-utils-version;.tar.bz2">
+  <!ENTITY gnome-doc-utils-md5sum        "5b741eb63e11bc35e81587839e4d4759">
+  <!ENTITY gnome-doc-utils-size          "233 KB">
+  <!ENTITY gnome-doc-utils-buildsize     "5.5 MB">
+  <!ENTITY gnome-doc-utils-time          "0.04 SBU">
+]>
+
+<sect1 id="gnome-doc-utils" xreflabel="GNOME Doc Utils-&gnome-doc-utils-version;">
+<sect1info>
+<othername>$LastChangedBy$</othername>
+<date>$Date$</date>
+</sect1info>
+<?dbhtml filename="gnome-doc-utils.html"?>
+<title><application><acronym>GNOME</acronym> Doc 
+Utils</application>-&gnome-doc-utils-version;</title>
+
+<sect2>
+<title>Introduction to <application><acronym>GNOME</acronym> Doc 
+Utils</application></title>
+
+<para>The <application><acronym>GNOME</acronym> Doc Utils</application> 
+package is a collection of documentation utilities for the 
+<application><acronym>GNOME</acronym></application> project. Notably, it 
+contains utilities for building documentation and all auxiliary files in your 
+source tree, and it contains the DocBook <acronym>XSLT</acronym> stylesheets 
+that were once distributed with <application>Yelp</application>. Starting with 
+<application><acronym>GNOME</acronym></application> 2.8, 
+<application>Yelp</application> will require 
+<application><acronym>GNOME</acronym> Doc Utils</application> for the 
+<acronym>XSLT</acronym>.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing="compact">
+<listitem><para>Download (HTTP): 
+<ulink url="&gnome-doc-utils-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&gnome-doc-utils-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &gnome-doc-utils-md5sum;</para></listitem>
+<listitem><para>Download size: &gnome-doc-utils-size;</para></listitem>
+<listitem><para>Estimated disk space required: 
+&gnome-doc-utils-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&gnome-doc-utils-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application><acronym>GNOME</acronym> Doc Utils</application> 
+dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="scrollkeeper"/></para>
+</sect4>
+
+<sect4><title>Optional</title>
+<para><xref linkend="pkgconfig"/> and <xref linkend="python"/></para>
+</sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application><acronym>GNOME</acronym> Doc 
+Utils</application></title>
+
+<para>Install <application><acronym>GNOME</acronym> Doc Utils</application> 
+by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+    --localstatedir=/var/lib &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--localstatedir=/var/lib</parameter>: This switch puts
+<application>ScrollKeeper</application> files in
+<filename class='directory'>/var/lib/scrollkeeper</filename> instead of
+<filename class='directory'>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>GNOME</acronym> Doc Utils</application> 
+package contains <command>xml2po</command> and custom DocBook 
+<acronym>XSLT</acronym> stylesheets.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>xml2po</title>
+<para><command>xml2po</command> is a <application>Python</application> script 
+used to translate <acronym>XML</acronym> documents.</para>
+</sect3>
+
+<sect3><title><acronym>XSLT</acronym> stylesheets</title>
+<para><filename>XSLT stylesheets</filename> are used 
+instead of the Sourceforge maintained stylesheets.</para>
+</sect3>
+
+</sect2>
+
+</sect1>
+
Index: gnome/core/libgtkhtml.xml
===================================================================
--- gnome/core/libgtkhtml.xml	(revision 676ac4841d4ea218a5e1bacae505b011c0eb9a7f)
+++ gnome/core/libgtkhtml.xml	(revision 676ac4841d4ea218a5e1bacae505b011c0eb9a7f)
@@ -0,0 +1,96 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+<!ENTITY libgtkhtml-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.6/libgtkhtml-&libgtkhtml-version;.tar.bz2">
+<!ENTITY libgtkhtml-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.6/libgtkhtml-&libgtkhtml-version;.tar.bz2">
+<!ENTITY libgtkhtml-md5sum "a9b71134e50e62d20ab4777f899225b3">
+<!ENTITY libgtkhtml-size "417 KB">
+<!ENTITY libgtkhtml-buildsize "28.4 MB">
+<!ENTITY libgtkhtml-time "0.80 SBU">
+]>
+
+<sect1 id="libgtkhtml" xreflabel="libgtkhtml-&libgtkhtml-version;">
+<sect1info>
+<othername>$LastChangedBy$</othername>
+<date>$Date$</date>
+</sect1info>
+<?dbhtml filename="libgtkhtml.html"?>
+<title>libgtkhtml-&libgtkhtml-version;</title>
+
+<sect2>
+<title>Introduction to <application>libgtkhtml</application></title>
+
+<para>The <application>libgtkhtml</application> package contains
+<filename class="libraryfile">libgtkhtml-2</filename> libraries.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&libgtkhtml-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&libgtkhtml-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &libgtkhtml-md5sum;</para></listitem>
+<listitem><para>Download size: &libgtkhtml-size;</para></listitem>
+<listitem><para>Estimated disk space required:
+&libgtkhtml-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&libgtkhtml-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>libgtkhtml</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="gnome-vfs"/></para>
+</sect4>
+
+<sect4><title>Optional</title>
+<para><xref linkend="gail"/></para>
+</sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>libgtkhtml</application></title>
+
+<para>Install <application>libgtkhtml</application> by running the following 
+commands:</para>
+
+<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+            --disable-accessibility &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--disable-accessibility</parameter>: This forces the package 
+to build without linking to the 
+<filename class='libraryfile'>libgailutil</filename> accessibility library. 
+Remove this switch if you have <application>GAIL</application> installed.</para>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>libgtkhtml</application> package contains
+<filename class="libraryfile">libgtkhtml-2</filename> libraries.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>libgtkhtml-2 libraries</title>
+<para><filename class="libraryfile">libgtkhtml-2</filename> libraries provide 
+the functions necessary to render and/or edit 
+<acronym>HTML</acronym>.</para></sect3>
+
+</sect2>
+
+</sect1>
+
Index: gnome/core/yelp.xml
===================================================================
--- gnome/core/yelp.xml	(revision 676ac4841d4ea218a5e1bacae505b011c0eb9a7f)
+++ gnome/core/yelp.xml	(revision 676ac4841d4ea218a5e1bacae505b011c0eb9a7f)
@@ -0,0 +1,105 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+<!ENTITY yelp-download-http "http://ftp.gnome.org/pub/GNOME/sources/yelp/2.6/yelp-&yelp-version;.tar.bz2">
+<!ENTITY yelp-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/yelp/2.6/yelp-&yelp-version;.tar.bz2">
+<!ENTITY yelp-md5sum "77d919335650ef0d114c951637669bda">
+<!ENTITY yelp-size "639 KB">
+<!ENTITY yelp-buildsize "9.1 MB">
+<!ENTITY yelp-time "0.17 SBU">
+]>
+
+<sect1 id="yelp" xreflabel="Yelp-&yelp-version;">
+<sect1info>
+<othername>$LastChangedBy$</othername>
+<date>$Date$</date>
+</sect1info>
+<?dbhtml filename="yelp.html"?>
+<title>Yelp-&yelp-version;</title>
+
+<sect2>
+<title>Introduction to <application>Yelp</application></title>
+
+<para>The <application>Yelp</application> package contains the help browser. 
+This is useful for viewing help files.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&yelp-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&yelp-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &yelp-md5sum;</para></listitem>
+<listitem><para>Download size: &yelp-size;</para></listitem>
+<listitem><para>Estimated disk space required:
+&yelp-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&yelp-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>Yelp</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libgnomeui"/>, 
+<xref linkend="libgtkhtml"/> and 
+<xref linkend="scrollkeeper"/></para>
+</sect4>
+
+<sect4><title>Recommended</title>
+<para><xref linkend="gnome-doc-utils"/> (required for <acronym>XSLT</acronym> 
+transformations)</para>
+</sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>Yelp</application></title>
+
+<para>Install <application>Yelp</application> by running the following 
+commands:</para>
+
+<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+    --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
+    --localstatedir=/var/lib &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--libexecdir=`pkg-config --variable=prefix
+ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
+<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
+<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
+
+<para><parameter>--localstatedir=/var/lib</parameter>: This switch puts
+<application>ScrollKeeper</application> files in 
+<filename class='directory'>/var/lib/scrollkeeper</filename> instead of
+<filename class='directory'>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Yelp</application> package contains 
+<command>yelp</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>yelp</title>
+<para><command>yelp</command> is the
+<application><acronym>GNOME</acronym></application> help browser.</para>
+</sect3>
+
+</sect2>
+
+</sect1>
+
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4ab1b56ae61ea25931098cca0ab31661fd3de8b2)
+++ introduction/welcome/changelog.xml	(revision 676ac4841d4ea218a5e1bacae505b011c0eb9a7f)
@@ -22,4 +22,7 @@
 
 <itemizedlist>
+
+<listitem><para>January 11th, 2005 [randy]: Moved libgtkhtml, GNOME-Doc-Utils 
+and Yelp from GNOME-Addons to GNOME-Core.</para></listitem>
 
 <listitem><para>January 10th, 2005 [larry]: Updated to mit