Index: general.ent
===================================================================
--- general.ent	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ general.ent	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "03">                   <!-- Always 2 digits -->
+<!ENTITY day          "05">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 3rd, &year;">
+<!ENTITY releasedate  "February 5th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/cmake.xml
===================================================================
--- general/prog/cmake.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ general/prog/cmake.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -7,5 +7,5 @@
   <!ENTITY cmake-download-http "https://cmake.org/files/v&cmake-major-version;/cmake-&cmake-version;.tar.gz">
   <!ENTITY cmake-download-ftp  " ">
-  <!ENTITY cmake-md5sum        "08b1be23ddbd089d4c55cb807196c49f">
+  <!ENTITY cmake-md5sum        "b5a544ffc73f6922a6cf371fcb6bae22">
   <!ENTITY cmake-size          "8.2 MB">
   <!ENTITY cmake-buildsize     "407 MB (add 485 MB for tests)">
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ gnome.ent	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -27,5 +27,5 @@
 <!ENTITY gjs-version                       "1.54.3">
 <!ENTITY gnome-autoar-version              "0.2.3">
-<!ENTITY gnome-desktop-version             "3.30.2">
+<!ENTITY gnome-desktop-version             "3.30.2.1">
 <!ENTITY gnome-menus-version               "3.31.4">
 <!ENTITY gnome-online-accounts-version     "3.30.1">
@@ -39,5 +39,5 @@
 <!ENTITY libpeas-version                   "1.22.0">
 <!ENTITY libwnck-version                   "3.30.0">
-<!ENTITY evolution-data-server-version     "3.30.4">
+<!ENTITY evolution-data-server-version     "3.30.5">
 <!ENTITY folks-version                     "0.11.4">
 <!ENTITY gfbgraph-version                  "0.2.3">
@@ -81,5 +81,5 @@
 <!ENTITY eog-version                       "3.28.4">
 <!ENTITY evince-version                    "3.30.2">
-<!ENTITY evolution-version                 "3.30.4">
+<!ENTITY evolution-version                 "3.30.5">
 <!ENTITY file-roller-version               "3.30.1">
 <!ENTITY gedit-version                     "3.22.1">
Index: gnome/applications/cheese.xml
===================================================================
--- gnome/applications/cheese.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ gnome/applications/cheese.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -129,9 +129,13 @@
 
     <para>
+      First, fix a deprecation warning that can fill up logs quickly:
+    </para>
+
+<screen><userinput remap="pre">sed -i '7d' data/cheese.css</userinput></screen>
+
+    <para>
       Install <application>Cheese</application> by running the following
       commands:
     </para>
-<!--
-<screen><userinput>patch -Np1 -i ../cheese-&cheese-version;-clutter_gst_3.0-1.patch &amp;&amp;-->
 
 <screen><userinput>./configure --prefix=/usr &amp;&amp;
@@ -149,16 +153,5 @@
 
   </sect2>
-<!--
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para><command>patch ...</command>: Allow <application>cheese</application>
-    to be built with clutter-gst-3.</para>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/gtk-doc-rebuild.xml"/>
-
-  </sect2>
--->
+
   <sect2 role="content">
     <title>Contents</title>
Index: gnome/applications/evolution.xml
===================================================================
--- gnome/applications/evolution.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ gnome/applications/evolution.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -7,5 +7,5 @@
   <!ENTITY evolution-download-http "&gnome-download-http;/evolution/&gnome-minor-30;/evolution-&evolution-version;.tar.xz">
   <!ENTITY evolution-download-ftp  "&gnome-download-ftp;/evolution/&gnome-minor-30;/evolution-&evolution-version;.tar.xz">
-  <!ENTITY evolution-md5sum        "f43c29a8884548af32ad0ba3b2f19661">
+  <!ENTITY evolution-md5sum        "7a24256b447d23f5b8cf0df6d0f6e40b">
   <!ENTITY evolution-size          "11 MB">
   <!ENTITY evolution-buildsize     "331 MB">
Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ gnome/platform/evolution-data-server.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -9,5 +9,5 @@
   <!ENTITY evolution-data-server-download-ftp
            "&gnome-download-ftp;/evolution-data-server/&gnome-minor-30;/evolution-data-server-&evolution-data-server-version;.tar.xz">
-  <!ENTITY evolution-data-server-md5sum        "6f38d50ffa152dabce24404e071748ca">
+  <!ENTITY evolution-data-server-md5sum        "f88813a66add068141530245d07e42c3">
   <!ENTITY evolution-data-server-size          "4.4 MB">
   <!ENTITY evolution-data-server-buildsize     "192 MB">
@@ -34,5 +34,5 @@
 
     <para>
-      <application>Evolution Data Server</application> package provides
+      The <application>Evolution Data Server</application> package provides
       a unified backend for programs that work with contacts, tasks, and calendar
       information. It was originally developed for
Index: gnome/platform/gnome-desktop.xml
===================================================================
--- gnome/platform/gnome-desktop.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ gnome/platform/gnome-desktop.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -9,7 +9,7 @@
   <!ENTITY gnome-desktop-download-ftp
            "&gnome-download-ftp;/gnome-desktop/&gnome-minor-30;/gnome-desktop-&gnome-desktop-version;.tar.xz">
-  <!ENTITY gnome-desktop-md5sum        "afcee5e8506bcdc1daaac9e6c3682685">
-  <!ENTITY gnome-desktop-size          "1.1 MB">
-  <!ENTITY gnome-desktop-buildsize     "24 MB">
+  <!ENTITY gnome-desktop-md5sum        "0ee2a0d7af1ffe39104fbb7ca4afa21e">
+  <!ENTITY gnome-desktop-size          "1.0 MB">
+  <!ENTITY gnome-desktop-buildsize     "23 MB">
   <!ENTITY gnome-desktop-time          "0.3 SBU">
 ]>
Index: gnome/platform/gnome-menus.xml
===================================================================
--- gnome/platform/gnome-menus.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ gnome/platform/gnome-menus.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -98,4 +98,10 @@
 
     <para>
+      First, fix a bug that was introduced after removing the Sundry menu:
+    </para>
+
+<screen><userinput remap="pre">sed -i '129i &lt;/Exclude&gt;' layout/gnome-applications.menu</userinput></screen>
+
+    <para>
       Install <application>GNOME Menus</application> by running the following
       commands:
Index: introduction/important/systemd-units.xml
===================================================================
--- introduction/important/systemd-units.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ introduction/important/systemd-units.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -33,5 +33,5 @@
     <listitem>
       <para>
-        Download: <ulink url="&downloads-root;/blfs-systemd-units-&systemd-units-version;.tar.bz2"/>
+        Download: <ulink url="&downloads-root-systemd;/blfs-systemd-units-&systemd-units-version;.tar.bz2"/>
       </para>
     </listitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ introduction/welcome/changelog.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -41,5 +41,76 @@
       </itemizedlist>
     </listitem>
--->
+    -->
+
+    <listitem>
+      <para>February 5th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to dovecot-2.3.4.1 (security update). Fixes
+          <ulink url="&blfs-ticket-root;11635">#11635</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-desktop-3.30.2.1. Fixes
+          <ulink url="&blfs-ticket-root;11638">#11638</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to unbound-1.9.0. Fixes
+          <ulink url="&blfs-ticket-root;11636">#11636</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libdvdread-6.0.1. Fixes
+          <ulink url="&blfs-ticket-root;11637">#11637</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to zsh-5.7.1. Fixes
+          <ulink url="&blfs-ticket-root;11634">#11634</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to epiphany-3.30.3. Fixes
+          <ulink url="&blfs-ticket-root;11630">#11630</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to evolution-3.30.5. Completes
+          <ulink url="&blfs-ticket-root;11626">#11626</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to evolution-data-server-3.30.5. Partially
+          fixes <ulink url="&blfs-ticket-root;11626">#11626</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to GTK+-3.24.5. Fixes
+          <ulink url="&blfs-ticket-root;11627">#11627</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to cmake-3.13.4. Fixes
+          <ulink url="&blfs-ticket-root;11631">#11631</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libvpx-1.8.0. Fixes
+          <ulink url="&blfs-ticket-root;11633">#11633</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iw-5.0.1. Fixes
+          <ulink url="&blfs-ticket-root;11632">#11632</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Add a fix to cheese to prevent system logs from
+          being spammed with GTK Deprecation Warnings due to
+          GtkScrollbar-min-slider-length. Fixes
+          <ulink url="&blfs-ticket-root;11628">#11628</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Add a line to gnome-menus to fix a bug
+          introduced when the Sundry menu was removed. This prevented
+          gnome-tweaks from displaying the Applications menu properly,
+          and could result in gnome-shell crashing as well. Fixes
+          <ulink url="&blfs-ticket-root;11629">#11629</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to thunderbird-60.5.0 (Critical security update). 
+          Fixes <ulink url="&blfs-ticket-root;11608">#11608</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: multimedia/libdriv/libdvdread.xml
===================================================================
--- multimedia/libdriv/libdvdread.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ multimedia/libdriv/libdvdread.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -7,7 +7,7 @@
   <!ENTITY libdvdread-download-http "https://get.videolan.org/libdvdread/&libdvdread-version;/libdvdread-&libdvdread-version;.tar.bz2">
   <!ENTITY libdvdread-download-ftp  " ">
-  <!ENTITY libdvdread-md5sum        "1505ed5607ff591cd689f8d1b0976c7b">
-  <!ENTITY libdvdread-size          "388 KB">
-  <!ENTITY libdvdread-buildsize     "3.6 MB">
+  <!ENTITY libdvdread-md5sum        "b9eeaaaf3c41b1c3cb6c1622e7219aeb">
+  <!ENTITY libdvdread-size          "396 KB">
+  <!ENTITY libdvdread-buildsize     "3.7 MB">
   <!ENTITY libdvdread-time          "less than 0.1 SBU">
 ]>
Index: multimedia/libdriv/libvpx.xml
===================================================================
--- multimedia/libdriv/libvpx.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ multimedia/libdriv/libvpx.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -7,7 +7,7 @@
   <!ENTITY libvpx-download-http "https://github.com/webmproject/libvpx/archive/v&libvpx-version;/libvpx-&libvpx-version;.tar.gz">
   <!ENTITY libvpx-download-ftp  " ">
-  <!ENTITY libvpx-md5sum        "193346f9aec0726145e51db732417cd2">
-  <!ENTITY libvpx-size          "2.6 MB">
-  <!ENTITY libvpx-buildsize     "45 MB">
+  <!ENTITY libvpx-md5sum        "49cb591325f44a3459b040112e3b82e7">
+  <!ENTITY libvpx-size          "2.7 MB">
+  <!ENTITY libvpx-buildsize     "50 MB">
   <!ENTITY libvpx-time          "0.4 SBU (using parallelism=4)">
 ]>
Index: networking/netprogs/iw.xml
===================================================================
--- networking/netprogs/iw.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ networking/netprogs/iw.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -7,5 +7,5 @@
   <!ENTITY iw-download-http "https://www.kernel.org/pub/software/network/iw/iw-&iw-version;.tar.xz">
   <!ENTITY iw-download-ftp  " ">
-  <!ENTITY iw-md5sum        "d084df594bf8b1c1ad880be778bf2f4a">
+  <!ENTITY iw-md5sum        "04d9ca2f20a11213985cea0c53bb3928">
   <!ENTITY iw-size          "132 KB">
   <!ENTITY iw-buildsize     "3.3 MB">
Index: packages.ent
===================================================================
--- packages.ent	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ packages.ent	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -77,5 +77,5 @@
 <!ENTITY dash-version                 "0.5.10.2">
 <!ENTITY tcsh-version                 "6.20.00">
-<!ENTITY zsh-version                  "5.7">
+<!ENTITY zsh-version                  "5.7.1">
 
 <!-- Chapter 8 Virtualization -->
@@ -313,5 +313,5 @@
 <!ENTITY clisp-version                "2.49">
 <!ENTITY cmake-major-version          "3.13">
-<!ENTITY cmake-minor-version          "3">
+<!ENTITY cmake-minor-version          "4">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!--<!ENTITY cvs-version                  "1.11.23">-->
@@ -548,5 +548,5 @@
 <!ENTITY bridgeutils-version          "1.6">
 <!ENTITY cifsutils-version            "6.8">
-<!ENTITY iw-version                   "5.0">
+<!ENTITY iw-version                   "5.0.1">
 <!ENTITY ncftp-version                "3.2.6">
 <!ENTITY net-tools-version            "CVS_20101030">
@@ -618,7 +618,7 @@
 <!ENTITY dovecot-minor                "3">
 <!ENTITY dovecot-micro                "4">
-<!-- ENTITY dovecot-nano                 "1" -->
-<!-- ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;.&dovecot-nano;" -->
-<!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;">
+<!ENTITY dovecot-nano                 "1">
+<!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;.&dovecot-nano;">
+<!--<!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;">-->
 
 <!ENTITY exim-version                 "4.91">
@@ -636,5 +636,5 @@
 <!ENTITY openldap-version             "2.4.47">
 <!ENTITY soprano-version              "2.9.4">
-<!ENTITY unbound-version              "1.8.3">
+<!ENTITY unbound-version              "1.9.0">
 <!ENTITY virtuoso-version             "6.1.8">
 <!ENTITY xinetd-version               "2.3.15">
@@ -691,5 +691,5 @@
 <!ENTITY goffice010-version           "0.10.44">
 <!ENTITY gtk2-version                 "2.24.32">
-<!ENTITY gtk3-version                 "3.24.4">
+<!ENTITY gtk3-version                 "3.24.5">
 <!ENTITY gtk-engines-version          "2.20.2">
 <!ENTITY gtkmm2-version               "2.24.5">
@@ -855,5 +855,5 @@
 <!-- Chapter 43 -->
 <!ENTITY chromium-version             "64.0.3282.186">
-<!ENTITY epiphany-version             "3.30.2">
+<!ENTITY epiphany-version             "3.30.3">
 <!ENTITY falkon-version               "3.0.1">
 <!ENTITY firefox-version              "65.0">
@@ -878,5 +878,5 @@
 <!ENTITY rox-filer-version            "2.11">
 <!ENTITY rxvt-unicode-version         "9.22">
-<!ENTITY thunderbird-version          "60.4.0">
+<!ENTITY thunderbird-version          "60.5.0">
 <!ENTITY tigervnc-version             "1.9.0">
 <!ENTITY transmission-version         "2.94">
@@ -921,5 +921,5 @@
 <!ENTITY libdiscid-version            "0.6.2">
 <!ENTITY libdvdcss-version            "1.4.2">
-<!ENTITY libdvdread-version           "6.0.0">
+<!ENTITY libdvdread-version           "6.0.1">
 <!ENTITY libdvdnav-version            "6.0.0">
 <!ENTITY libdv-version                "1.0.0">
@@ -935,5 +935,5 @@
 <!ENTITY libtheora-version            "1.1.1">
 <!ENTITY libvorbis-version            "1.3.6">
-<!ENTITY libvpx-version               "1.7.0">
+<!ENTITY libvpx-version               "1.8.0">
 <!ENTITY mlt-version                  "6.12.0">
 <!ENTITY opal-version                 "3.10.10">
Index: postlfs/shells/zsh.xml
===================================================================
--- postlfs/shells/zsh.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ postlfs/shells/zsh.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -7,10 +7,10 @@
   <!ENTITY zsh-download-http "http://www.zsh.org/pub/zsh-&zsh-version;.tar.xz">
   <!ENTITY zsh-download-ftp  " ">
-  <!ENTITY zsh-md5sum        "4f855abd9be566bcb204e407cf571d09">
+  <!ENTITY zsh-md5sum        "374f9fdd121b5b90e07abfcad7df0627">
   <!ENTITY zsh-size          "3.0 MB">
-  <!ENTITY zsh-buildsize     "71 MB (includes documentation and tests)">
-  <!ENTITY zsh-time          "1.4 SBU (Using parallelism=4; includes documentation and tests)">
-
-  <!ENTITY zsh-doc-md5sum    "cf6663cde41e0b22eb569a2bad318855">
+  <!ENTITY zsh-buildsize     "68 MB (includes documentation and tests)">
+  <!ENTITY zsh-time          "1.5 SBU (Using parallelism=4; includes documentation and tests)">
+
+  <!ENTITY zsh-doc-md5sum    "08f2f78aae9d739db9e30365a228a6fb">
   <!ENTITY zsh-doc-size      "3.0 MB">
 ]>
Index: server/mail/dovecot.xml
===================================================================
--- server/mail/dovecot.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ server/mail/dovecot.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -8,8 +8,8 @@
   "https://www.dovecot.org/releases/&dovecot-major;.&dovecot-minor;/dovecot-&dovecot-version;.tar.gz">
   <!ENTITY dovecot-download-ftp  " ">
-  <!ENTITY dovecot-md5sum        "00eebc835a8793e8a167a616a78f4753">
+  <!ENTITY dovecot-md5sum        "b5144d8a7e81833428320a2c32a265d2">
   <!ENTITY dovecot-size          "6.6 MB">
   <!ENTITY dovecot-buildsize     "194 MB">
-  <!ENTITY dovecot-time          "3.8 SBU">
+  <!ENTITY dovecot-time          "3.9 SBU">
 ]>
 
@@ -90,5 +90,4 @@
       <xref linkend="lua"/>,
       <xref linkend="mariadb"/> or <ulink url="http://www.mysql.com/">MySQL</ulink>,
-      <xref linkend="mitkrb"/> (for GSSAPI support),
       <xref linkend="openldap"/>,
       <xref linkend="postgresql"/>,
@@ -207,10 +206,10 @@
       <application>CLucene</application> full text search support.
     </para>
-
-    <para>
-      <option>--with-krb5</option>: This switch enables
+<!--
+    <para>
+      <option>- -with-krb5</option>: This switch enables
       GSSAPI authentication support.
     </para>
-
+-->
   </sect2>
 
Index: server/other/unbound.xml
===================================================================
--- server/other/unbound.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ server/other/unbound.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -7,5 +7,5 @@
   <!ENTITY unbound-download-http "http://www.unbound.net/downloads/unbound-&unbound-version;.tar.gz">
   <!ENTITY unbound-download-ftp  " ">
-  <!ENTITY unbound-md5sum        "4646203343d3b8f5aeb1b57753c27ead">
+  <!ENTITY unbound-md5sum        "1026159991a3883518525bc18e25582f">
   <!ENTITY unbound-size          "5.4 MB">
   <!ENTITY unbound-buildsize     "52 MB (add 9 MB for tests and 69 MB for documentation)">
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ x/lib/gtk+3.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -7,8 +7,8 @@
   <!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/&gnome-minor-24;/gtk+-&gtk3-version;.tar.xz">
   <!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/&gnome-minor-24;/gtk+-&gtk3-version;.tar.xz">
-  <!ENTITY gtk3-md5sum        "cef258e9877461611f117d898f407240">
+  <!ENTITY gtk3-md5sum        "32862355c08f6af3e7848c695cd4081b">
   <!ENTITY gtk3-size          "20 MB">
-  <!ENTITY gtk3-buildsize     "590 MB (add 12 MB for tests)">
-  <!ENTITY gtk3-time          "3.9 SBU (using parallelism=4, add 0.8 SBU for tests)">
+  <!ENTITY gtk3-buildsize     "585 MB (add 11 MB for tests)">
+  <!ENTITY gtk3-time          "2.8 SBU (using parallelism=4, add 0.6 SBU for tests)">
 ]>
 
@@ -77,4 +77,5 @@
     <para role="required">
       <xref linkend="at-spi2-atk"/>,
+      <xref linkend="fribidi"/>,
       <xref linkend="gdk-pixbuf"/>,
       <xref linkend="libepoxy"/>, and
Index: xsoft/graphweb/epiphany.xml
===================================================================
--- xsoft/graphweb/epiphany.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ xsoft/graphweb/epiphany.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -9,5 +9,5 @@
   <!ENTITY epiphany-download-ftp
            "&gnome-download-ftp;/epiphany/&gnome-minor-30;/epiphany-&epiphany-version;.tar.xz">
-  <!ENTITY epiphany-md5sum        "1b7c072880562c33f52a3347a94bfe6c">
+  <!ENTITY epiphany-md5sum        "fd05702b1c9bcb6a0633de54c4a6ccd2">
   <!ENTITY epiphany-size          "4.3 MB">
   <!ENTITY epiphany-buildsize     "61 MB"> 
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision 2eaf50531e4ad5a35923f5165be8ca7f0fc63774)
+++ xsoft/other/thunderbird.xml	(revision 678dc95cb5e3f9786bf9427142b887b335d1c207)
@@ -7,8 +7,8 @@
   <!ENTITY thunderbird-download-http "&mozilla-http;/thunderbird/releases/&thunderbird-version;/source/thunderbird-&thunderbird-version;.source.tar.xz">
   <!ENTITY thunderbird-download-ftp  " ">
-  <!ENTITY thunderbird-md5sum        "a996576ecd6e0bafb0d1378a62a53284">
+  <!ENTITY thunderbird-md5sum        "d1ff5fac4a1c6d406724b4447821b5d5">
   <!ENTITY thunderbird-size          "272 MB">
-  <!ENTITY thunderbird-buildsize     "7.6 GB (136 MB installed)">
-  <!ENTITY thunderbird-time          "33 SBU (with -j4, estimated 63 SBU with -j1)">
+  <!ENTITY thunderbird-buildsize     "8.0 GB (141 MB installed)">
+  <!ENTITY thunderbird-time          "31 SBU (with -j4, 75 SBU with -j1)">
   <!-- Verified the time at -j1 on another system for posterity's sake. -->
 ]>
@@ -81,4 +81,5 @@
       both <xref linkend="gtk3"/>
       and <xref linkend="gtk2"/>,
+      <xref linkend="llvm"/>, <!-- Searched for and used a few times -->
       <xref linkend="rust"/>,
       <xref linkend="zip"/>,
@@ -151,4 +152,11 @@
     <title>Installation of Thunderbird</title>
 
+    <note>
+      <para>
+        The build process for Thunderbird can use 8GB+ of RAM when linking.
+        Make sure that you have adequate swap or RAM before continuing.
+      </para>
+    </note>
+
     <para>
       The configuration of <application>Thunderbird</application> is