Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 6998c44a92fbea3aa77c715eea92f608764618aa)
+++ introduction/welcome/changelog.xml	(revision 681ad689d3f08f57499f213f9aad2c9d26eb9f9f)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>September 25th, 2003 [igor]: Updated to
+sendmail-8.12.10</para></listitem>
 
 <listitem><para>September 25th, 2003 [igor]: Added PHP-4.3.3
Index: server/mail/sendmail/sendmail-config.xml
===================================================================
--- server/mail/sendmail/sendmail-config.xml	(revision 6998c44a92fbea3aa77c715eea92f608764618aa)
+++ server/mail/sendmail/sendmail-config.xml	(revision 681ad689d3f08f57499f213f9aad2c9d26eb9f9f)
@@ -1,34 +1,32 @@
 <sect2>
-<title>Configuring sendmail</title>
+<title>Configuring <application>sendmail</application></title>
 
 <sect3><title>Config files</title>
-<para><filename>/etc/mail/aliases.db</filename>,
-<filename>/etc/mail/sendmail.cf</filename>,
-<filename>/etc/mail/submit.cf</filename> and
-<filename>/etc/mail/local-host-names</filename></para>
+<para><filename>/etc/mail/*</filename></para>
 </sect3>
 
-<sect3><title>Configuring sendmail</title>
-<para><screen><userinput>echo `hostname` > /etc/mail/local-host-names
-cat &gt; /etc/mail/aliases &lt;&lt; "EOF"</userinput>
+<sect3><title>Configuration Information</title>
+
+<screen><userinput><command>echo `hostname` > /etc/mail/local-host-names
+cat &gt; /etc/mail/aliases &lt;&lt; "EOF"
 postmaster: root
 MAILER-DAEMON: root
-<userinput>EOF
+EOF
 cd /etc/mail &amp;&amp;
 cp -R  /usr/src/sendmail-&sendmail-version;/cf/* . &amp;&amp;
 cp -R  /usr/src/sendmail-&sendmail-version;/cf/cf/submit.mc . &amp;&amp;
 cp -R  /usr/src/sendmail-&sendmail-version;/cf/cf/sendmail.mc . &amp;&amp;
-newaliases -v</userinput></screen></para>
+newaliases -v</command></userinput></screen>
 
 <para>To start and stop sendmail on system boot/shutdown create the
-sendmail boot script with the following commands: </para>
+sendmail boot script with the following commands:</para>
 
 <note><para>The -qNm option, where N is number of minutes, controls
-how often Sendmail will process the mail queue.&nbsp;&nbsp;A default of 5
-minutes is used here.&nbsp;&nbsp;Individual workstation users may want to set
+how often Sendmail will process the mail queue. A default of 5
+minutes is used here. Individual workstation users may want to set
 this as low as 1 minute, large installations handling more mail will
 want to set it higher.</para></note>
 
-<para><screen><userinput>cat &gt; /etc/rc.d/init.d/sendmail &lt;&lt; "EOF"</userinput>
+<screen><userinput><command>cat &gt; /etc/rc.d/init.d/sendmail &lt;&lt; "EOF"
 #!/bin/sh
 # Begin $rc_base/init.d/sendmail
@@ -69,10 +67,10 @@
 
 # End $rc_base/init.d/sendmail
-<userinput>EOF
-chmod 755 /etc/rc.d/init.d/sendmail</userinput></screen></para>
+EOF
+chmod 755 /etc/rc.d/init.d/sendmail</command></userinput></screen>
 
 <para>Create the run level symlinks with the following commands:
 
-<screen><userinput>cd /etc/rc.d/init.d &amp;&amp;
+<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
 ln -sf ../init.d/sendmail ../rc0.d/K25sendmail &amp;&amp;
 ln -sf ../init.d/sendmail ../rc1.d/K25sendmail &amp;&amp;
@@ -81,5 +79,5 @@
 ln -sf ../init.d/sendmail ../rc4.d/S35sendmail &amp;&amp;
 ln -sf ../init.d/sendmail ../rc5.d/S35sendmail &amp;&amp;
-ln -sf ../init.d/sendmail ../rc6.d/K25sendmail</userinput></screen></para>
+ln -sf ../init.d/sendmail ../rc6.d/K25sendmail</command></userinput></screen></para>
 </sect3>
 
Index: server/mail/sendmail/sendmail-desc.xml
===================================================================
--- server/mail/sendmail/sendmail-desc.xml	(revision 6998c44a92fbea3aa77c715eea92f608764618aa)
+++ server/mail/sendmail/sendmail-desc.xml	(revision 681ad689d3f08f57499f213f9aad2c9d26eb9f9f)
@@ -2,42 +2,56 @@
 <title>Contents</title>
 
-<para>The sendmail package contains
-<userinput>mail.local</userinput>,
-<userinput>rmail</userinput>,
-<userinput>smrsh</userinput>,
-<userinput>editmap</userinput>,
-<userinput>makemap</userinput>,
-<userinput>mailq</userinput>,
-<userinput>newaliases</userinput>,
-<userinput>sendmail</userinput>,
-<userinput>vacation</userinput>,
-<userinput>praliases</userinput> and
-<userinput>mailstats</userinput>.
+<para>The <application>sendmail</application> package contains
+<command>mail.local</command>,
+<command>rmail</command>,
+<command>smrsh</command>,
+<command>editmap</command>,
+<command>makemap</command>,
+<command>mailq</command>,
+<command>newaliases</command>,
+<command>sendmail</command>,
+<command>vacation</command>,
+<command>praliases</command> and
+<command>mailstats</command>.
 </para>
 </sect2>
+
 <sect2><title>Description</title>
+
 <sect3><title>mail.local</title>
-<para>mail.local appends its standard input to a user's mail
+<para><command>mail.local</command> appends its standard input to a user's mail
 file.</para></sect3>
+
 <sect3><title>rmail</title>
-<para>rmail interprets incoming mail received via uucp.</para></sect3>
+<para><command>rmail</command> interprets incoming mail received via
+<acronym>UUCP</acronym>.</para></sect3>
+
 <sect3><title>smrsh</title>
-<para>smrsh is a restricted shell for Sendmail.</para></sect3>
+<para><command>smrsh</command> is a restricted shell for Sendmail.</para></sect3>
+
 <sect3><title>editmap</title>
-<para>editmap queries and edits Sendmail map files.</para></sect3>
+<para><command>editmap</command> queries and edits Sendmail map files.</para></sect3>
+
 <sect3><title>makemap</title>
-<para>makemap creates Sendmail map files.</para></sect3>
+<para><command>makemap</command> creates Sendmail map files.</para></sect3>
+
 <sect3><title>mailq</title>
-<para>mailq prints a summary of waiting mail messages.</para></sect3>
+<para><command>mailq</command> prints a summary of waiting mail messages.</para></sect3>
+
 <sect3><title>newaliases</title>
-<para>newaliases rebuilds <filename>/etc/mail/aliases.db</filename>.</para></sect3>
+<para><command>newaliases</command> rebuilds <filename>/etc/mail/aliases.db</filename>.
+</para></sect3>
+
 <sect3><title>sendmail</title>
-<para>sendmail is the Sendmail mail transport agent.</para></sect3>
+<para><command>sendmail</command> is the Sendmail mail transport agent.</para></sect3>
+
 <sect3><title>vacation</title>
-<para>vacation is an email auto responder.</para></sect3>
+<para><command>vacation</command> is an email auto responder.</para></sect3>
+
 <sect3><title>praliases</title>
-<para>praliases displays current Sendmail aliases.</para></sect3>
+<para><command>praliases</command> displays current Sendmail aliases.</para></sect3>
+
 <sect3><title>mailstats</title>
-<para>mailstats displays Sendmail statistics.</para></sect3>
+<para><command>mailstats</command> displays Sendmail statistics.</para></sect3>
+
 </sect2>
-
Index: server/mail/sendmail/sendmail-inst.xml
===================================================================
--- server/mail/sendmail/sendmail-inst.xml	(revision 6998c44a92fbea3aa77c715eea92f608764618aa)
+++ server/mail/sendmail/sendmail-inst.xml	(revision 681ad689d3f08f57499f213f9aad2c9d26eb9f9f)
@@ -1,17 +1,18 @@
 <sect2>
-<title>Installation of sendmail</title>
+<title>Installation of <application>sendmail</application></title>
 
-<para>Before building sendmail, we need to create users, groups and
+<para>Before building <application>sendmail</application>, we need to create users, groups and
 directories that sendmail uses with the following commands:</para>
-<para><screen><userinput>groupadd smmsp &amp;&amp;
+
+<screen><userinput><command>groupadd smmsp &amp;&amp;
 groupadd mail &amp;&amp;
 useradd -g smmsp -G mail smmsp &amp;&amp;
 chmod 1777 /tmp &amp;&amp;
 chmod 1777 /var/mail &amp;&amp;
-mkdir /var/spool/mqueue</userinput></screen></para>
+mkdir /var/spool/mqueue</command></userinput></screen>
 
-<para>Install sendmail with the following commands:</para>
+<para>Install <application>sendmail</application> with the following commands:</para>
 
-<para><screen><userinput>cat &gt; devtools/Site/site.config.m4 &lt;&lt; "EOF"</userinput>
+<screen><userinput><command>cat &gt; devtools/Site/site.config.m4 &lt;&lt; "EOF"
 define(`confMANGRP',`root')
 define(`confMANOWN',`root')
@@ -19,5 +20,5 @@
 define(`confUBINGRP',`root')
 define(`confUBINOWN',`root')
-<userinput>EOF
+EOF
 cd sendmail &amp;&amp;
 sh Build &amp;&amp;
@@ -28,5 +29,5 @@
 sh Build install-cf &amp;&amp;
 cd ../../ &amp;&amp;
-sh Build install</userinput></screen></para>
+sh Build install</command></userinput></screen>
+
 </sect2>
-
Index: server/mail/sendmail/sendmail-intro.xml
===================================================================
--- server/mail/sendmail/sendmail-intro.xml	(revision 6998c44a92fbea3aa77c715eea92f608764618aa)
+++ server/mail/sendmail/sendmail-intro.xml	(revision 681ad689d3f08f57499f213f9aad2c9d26eb9f9f)
@@ -1,17 +1,22 @@
 <sect2>
-<title>Introduction to sendmail</title>
+<title>Introduction to <application>sendmail</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&sendmail-download-http;"/>
-Download location (FTP):        <ulink url="&sendmail-download-ftp;"/>
-Version used:                   &sendmail-version;
-Package size:                   &sendmail-size;
-Estimated Disk space required:  &sendmail-buildsize;</screen>
+<para>The <application>sendmail</application> package contains a Mail Transport Agent
+(<acronym>MTA</acronym>).</para>
 
-<para>The sendmail package contains a Mail Transport Agent
-(MTA).  </para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&sendmail-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&sendmail-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &sendmail-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &sendmail-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &sendmail-time;</para></listitem></itemizedlist>
+</sect3>
 
-
-<screen>sendmail depends on: 
-<xref linkend="db"/>, <xref linkend="procmail"/></screen>
+<sect3><title><application>sendmail</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="db"/> and <xref linkend="procmail"/>
+</para></sect4>
+</sect3>
 
 </sect2>
Index: server/mail/sendmail/sendmail.ent
===================================================================
--- server/mail/sendmail/sendmail.ent	(revision 6998c44a92fbea3aa77c715eea92f608764618aa)
+++ server/mail/sendmail/sendmail.ent	(revision 681ad689d3f08f57499f213f9aad2c9d26eb9f9f)
@@ -4,7 +4,8 @@
 <!ENTITY sendmail-desc SYSTEM "sendmail-desc.xml">
 <!ENTITY sendmail-config SYSTEM "sendmail-config.xml">
-<!ENTITY sendmail-buildsize "13 MB">
-<!ENTITY sendmail-version "8.12.9">
+<!ENTITY sendmail-version "8.12.10">
 <!ENTITY sendmail-download-ftp "ftp://ftp.sendmail.org/pub/sendmail/sendmail.&sendmail-version;.tar.gz">
 <!ENTITY sendmail-download-http "http://www.sendmail.org/ftp/sendmail.&sendmail-version;.tar.gz">
-<!ENTITY sendmail-size "1.9 MB">
+<!ENTITY sendmail-size "1.8 MB">
+<!ENTITY sendmail-buildsize "13 MB">
+<!ENTITY sendmail-time "0.43 SBU">