Index: general/genlib/boost.xml
===================================================================
--- general/genlib/boost.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/genlib/boost.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/exempi.xml
===================================================================
--- general/genlib/exempi.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/genlib/exempi.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -33,5 +33,5 @@
     Extensible Metadata Platform).</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/glibmm.xml
===================================================================
--- general/genlib/glibmm.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/genlib/glibmm.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/gmime.xml
===================================================================
--- general/genlib/gmime.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/genlib/gmime.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/json-glib.xml
===================================================================
--- general/genlib/json-glib.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/genlib/json-glib.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libatomic_ops.xml
===================================================================
--- general/genlib/libatomic_ops.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/genlib/libatomic_ops.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libsigc++.xml
===================================================================
--- general/genlib/libsigc++.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/genlib/libsigc++.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/pth.xml
===================================================================
--- general/genlib/pth.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/genlib/pth.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -39,5 +39,5 @@
     program-counter, run-time stack, signal mask and errno variable. </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/rep-gtk.xml
===================================================================
--- general/genutils/rep-gtk.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/genutils/rep-gtk.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     Both can be installed, if needed. </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libwebp.xml
===================================================================
--- general/graphlib/libwebp.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/graphlib/libwebp.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/gc.xml
===================================================================
--- general/prog/gc.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/prog/gc.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -45,5 +45,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/librep.xml
===================================================================
--- general/prog/librep.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/prog/librep.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -34,5 +34,5 @@
     interpreter as an extension language.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/mercurial.xml
===================================================================
--- general/prog/mercurial.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/prog/mercurial.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -39,5 +39,5 @@
     Mozilla and Vim.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/p7zip.xml
===================================================================
--- general/sysutils/p7zip.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ general/sysutils/p7zip.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/baobab.xml
===================================================================
--- gnome/applications/baobab.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/baobab.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/brasero.xml
===================================================================
--- gnome/applications/brasero.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/brasero.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/cheese.xml
===================================================================
--- gnome/applications/cheese.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/cheese.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/eog.xml
===================================================================
--- gnome/applications/eog.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/eog.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/epiphany.xml
===================================================================
--- gnome/applications/epiphany.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/epiphany.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/file-roller.xml
===================================================================
--- gnome/applications/file-roller.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/file-roller.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <note>
@@ -119,5 +119,4 @@
 
 <screen><userinput>./configure --prefix=/usr         \
-            --libexecdir=/usr/lib \
             --disable-packagekit  \
             --disable-static &amp;&amp;
@@ -168,5 +167,5 @@
         </seg>
         <seg>
-          /usr/lib/file-roller,
+          /usr/libexec/file-roller,
           /usr/share/file-roller, and
           /usr/share/help/*/file-roller
Index: gnome/applications/gedit.xml
===================================================================
--- gnome/applications/gedit.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/gedit.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -110,5 +110,5 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --libexecdir=/usr/lib &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -160,4 +160,5 @@
           /usr/include/gedit-3.0,
           /usr/lib/gedit,
+          /usr/libexec/gedit,
           /usr/share/gedit,
           /usr/share/gtk-doc/html/gedit, and
Index: gnome/applications/gnome-calculator.xml
===================================================================
--- gnome/applications/gnome-calculator.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/gnome-calculator.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-nettool.xml
===================================================================
--- gnome/applications/gnome-nettool.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/gnome-nettool.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-power-manager.xml
===================================================================
--- gnome/applications/gnome-power-manager.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/gnome-power-manager.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-system-monitor.xml
===================================================================
--- gnome/applications/gnome-system-monitor.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/gnome-system-monitor.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -99,5 +99,5 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --libexecdir=/usr/lib &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -130,5 +130,5 @@
         </seg>
         <seg>
-          /usr/lib/gnome-system-monitor and
+          /usr/libexec/gnome-system-monitor and
           /usr/share/help/*/gnome-system-monitor
         </seg>
Index: gnome/applications/nautilus.xml
===================================================================
--- gnome/applications/nautilus.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/nautilus.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -115,6 +115,5 @@
             --sysconfdir=/etc    \
             --disable-tracker    \
-            --disable-packagekit \
-            --libexecdir=/usr/lib/nautilus &amp;&amp;
+            --disable-packagekit &amp;&amp;
 make</userinput></screen>
 
Index: gnome/applications/network-manager-applet.xml
===================================================================
--- gnome/applications/network-manager-applet.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/network-manager-applet.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -124,5 +124,4 @@
 <screen><userinput>./configure --prefix=/usr \
             --sysconfdir=/etc \
-            --libexecdir=/usr/lib/NetworkManager \
             --disable-migration \
             --disable-static &amp;&amp;
Index: gnome/applications/seahorse.xml
===================================================================
--- gnome/applications/seahorse.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/seahorse.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/totem.xml
===================================================================
--- gnome/applications/totem.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/applications/totem.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -132,5 +132,4 @@
 
 <screen><userinput>./configure --prefix=/usr               \
-            --libexecdir=/usr/lib/totem \
             --disable-static &amp;&amp;
 make</userinput></screen>
@@ -177,4 +176,5 @@
           /usr/include/totem,
           /usr/lib/totem,
+          /usr/libexec/totem,
           /usr/share/gtk-doc/html/totem,
           /usr/share/help/*/totem, and
Index: gnome/platform/dconf.xml
===================================================================
--- gnome/platform/dconf.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/dconf.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -104,6 +104,5 @@
 
 <screen><userinput>./configure --prefix=/usr     \
-            --sysconfdir=/etc \
-            --libexecdir=/usr/lib/dconf &amp;&amp;
+            --sysconfdir=/etc &amp;&amp;
 make</userinput></screen>
 
@@ -146,5 +145,4 @@
           /usr/include/dconf,
           /usr/include/dconf-dbus-1,
-          /usr/lib/dconf,
           /usr/share/dconf-editor, and
           /usr/share/gtk-doc/html/dconf
Index: gnome/platform/gconf.xml
===================================================================
--- gnome/platform/gconf.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/gconf.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -109,5 +109,4 @@
 <screen><userinput>./configure --prefix=/usr \
             --sysconfdir=/etc \
-            --libexecdir=/usr/lib/GConf \
             --disable-orbit \
             --disable-static &amp;&amp;
@@ -165,5 +164,4 @@
           /usr/include/gconf,
           /usr/lib/GConf,
-          /usr/share/GConf,
           /usr/share/gtk-doc/html/gconf and
           /usr/share/sgml/gconf
Index: gnome/platform/gcr.xml
===================================================================
--- gnome/platform/gcr.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/gcr.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -111,6 +111,5 @@
 
 <screen><userinput>./configure --prefix=/usr     \
-            --sysconfdir=/etc \
-            --libexecdir=/usr/lib/gnome-keyring &amp;&amp;
+            --sysconfdir=/etc &amp;&amp;
 make</userinput></screen>
 
@@ -158,5 +157,4 @@
           /usr/include/gck-1,
           /usr/include/gcr-3,
-          /usr/lib/gnome-keyring,
           /usr/share/gcr-3,
           /usr/share/gtk-doc/html/gck, and
Index: gnome/platform/gjs.xml
===================================================================
--- gnome/platform/gjs.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/gjs.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -93,5 +93,5 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --libexecdir=/usr/lib &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -126,5 +126,6 @@
         <seg>
           /usr/include/gjs-1.0,
-          /usr/lib/gjs, and
+          /usr/lib/gjs,
+          /usr/libexec/gjs, and
           /usr/share/gjs-1.0
         </seg>
Index: gnome/platform/gnome-desktop.xml
===================================================================
--- gnome/platform/gnome-desktop.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/gnome-desktop.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -108,5 +108,5 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --libexecdir=/usr/lib/gnome-desktop-3.0 &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -154,6 +154,5 @@
         <seg>
           /usr/include/gnome-desktop-3.0,
-          /usr/lib/gnome-desktop-3.0,
-          /usr/share/gtk-doc/html/gnome-desktop3,
+           (module.xml 2).xml/usr/share/gtk-doc/html/gnome-desktop3,
           /usr/share/help/*/gpl,
           /usr/share/help/*/lgpl,
Index: gnome/platform/gnome-keyring.xml
===================================================================
--- gnome/platform/gnome-keyring.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/gnome-keyring.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-themes-standard.xml
===================================================================
--- gnome/platform/gnome-themes-standard.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/gnome-themes-standard.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-video-effects.xml
===================================================================
--- gnome/platform/gnome-video-effects.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/gnome-video-effects.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gtksourceview.xml
===================================================================
--- gnome/platform/gtksourceview.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/gtksourceview.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgtop.xml
===================================================================
--- gnome/platform/libgtop.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/libgtop.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libpeas.xml
===================================================================
--- gnome/platform/libpeas.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/libpeas.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/polkit-gnome.xml
===================================================================
--- gnome/platform/polkit-gnome.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/polkit-gnome.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -95,6 +95,5 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr \
-            --libexecdir=/usr/lib/polkit-gnome &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -166,5 +165,5 @@
         </seg>
         <seg>
-          /usr/lib/polkit-gnome
+          None
         </seg>
       </seglistitem>
Index: gnome/platform/totem-pl-parser.xml
===================================================================
--- gnome/platform/totem-pl-parser.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/totem-pl-parser.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -110,6 +110,5 @@
 
 <screen><userinput>./configure --prefix=/usr    \
-            --disable-static \
-            --libexecdir=/usr/lib/totem-pl-parser &amp;&amp;
+            --disable-static &amp;&amp;
 make</userinput></screen>
 
@@ -154,6 +153,5 @@
         </seg>
         <seg>
-          /usr/include/totem-pl-parser,
-          /usr/lib/totem-pl-parser, and
+          /usr/include/totem-pl-parser and
           /usr/share/gtk-doc/html/totem-pl-parser
         </seg>
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/vte.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,10 +35,10 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
-        <para>
+        <para> (module.xml 2).xml
           Download (HTTP): <ulink url="&vte-download-http;"/>
         </para>
Index: gnome/platform/yelp.xml
===================================================================
--- gnome/platform/yelp.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ gnome/platform/yelp.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/grilo-plugins.xml
===================================================================
--- multimedia/libdriv/grilo-plugins.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ multimedia/libdriv/grilo-plugins.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -37,5 +37,5 @@
     disabled in <application>Totem</application>).</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/grilo.xml
===================================================================
--- multimedia/libdriv/grilo.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ multimedia/libdriv/grilo.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -34,5 +34,5 @@
     developers.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/geoclue.xml
===================================================================
--- networking/netlibs/geoclue.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ networking/netlibs/geoclue.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -124,5 +124,5 @@
 sed -i "s@geoclue/libgeoclue.la@&amp; -lgthread-2.0@g" \
        providers/skyhook/Makefile.in &amp;&amp;
-./configure --prefix=/usr --libexecdir=/usr/lib/geoclue &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -184,5 +184,5 @@
         </seg>
         <seg>
-          /usr/include/geoclue, /usr/lib/geoclue, /usr/share/geoclue-providers,
+          /usr/include/geoclue, /usr/share/geoclue-providers,
           and /usr/share/gtk-doc/html/geoclue
         </seg>
Index: networking/textweb/w3m.xml
===================================================================
--- networking/textweb/w3m.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ networking/textweb/w3m.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -33,5 +33,5 @@
     also be used as a text-mode WWW browser.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/atkmm.xml
===================================================================
--- x/lib/atkmm.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ x/lib/atkmm.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/cairomm.xml
===================================================================
--- x/lib/cairomm.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ x/lib/cairomm.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/clutter-gst2.xml
===================================================================
--- x/lib/clutter-gst2.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ x/lib/clutter-gst2.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/clutter-gtk.xml
===================================================================
--- x/lib/clutter-gtk.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ x/lib/clutter-gtk.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/clutter.xml
===================================================================
--- x/lib/clutter.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ x/lib/clutter.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <note>
Index: x/lib/gtkmm2.xml
===================================================================
--- x/lib/gtkmm2.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ x/lib/gtkmm2.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/libnotify.xml
===================================================================
--- x/lib/libnotify.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ x/lib/libnotify.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/pangomm.xml
===================================================================
--- x/lib/pangomm.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ x/lib/pangomm.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/webkitgtk2.xml
===================================================================
--- x/lib/webkitgtk2.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ x/lib/webkitgtk2.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -135,5 +135,4 @@
 
 <screen><userinput>./configure --prefix=/usr                    \
-            --libexecdir=/usr/lib/webkitgtk3 \
             --enable-introspection &amp;&amp;
 make</userinput></screen>
@@ -205,5 +204,4 @@
           /usr/include/webkitgtk-3.0, 
           /usr/lib/webkitgtk3,
-          /usr/lib/webkit2gtk-3.0,
           /usr/share/gtk-doc/html/webkitgtk,
           /usr/share/gtk-doc/html/webkit2gtk and
Index: x/wm/sawfish.xml
===================================================================
--- x/wm/sawfish.xml	(revision cdabd810324ac932c8515ce86f19afe941f8df9c)
+++ x/wm/sawfish.xml	(revision 682f45b245fe96076649d01f8b620e654df14543)
@@ -35,5 +35,5 @@
     controlled through the extension language.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>