Index: multimedia/cdwriteutils/cdrdao.xml
===================================================================
--- multimedia/cdwriteutils/cdrdao.xml	(revision ba86224fee6bcb029cdaa75de59c86f47d4b6db5)
+++ multimedia/cdwriteutils/cdrdao.xml	(revision 685b658cb76e19ac41f49b40b3e5fd511921bc05)
@@ -34,5 +34,5 @@
     CD in disk-at-once mode.</para>
 
-  &lfs73_checked;
+  &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -61,5 +61,5 @@
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">i
+    <para role="recommended">
       <xref linkend="libao"/>,
       <xref linkend="libvorbis"/>,
@@ -107,4 +107,5 @@
 
 <screen><userinput>sed -i '/ioctl/a #include &lt;sys/stat.h&gt;' dao/ScsiIf-linux.cc &amp;&amp;
+
 ./configure --prefix=/usr --mandir=/usr/share/man &amp;&amp;
 make</userinput></screen>
Index: multimedia/cdwriteutils/libburn.xml
===================================================================
--- multimedia/cdwriteutils/libburn.xml	(revision ba86224fee6bcb029cdaa75de59c86f47d4b6db5)
+++ multimedia/cdwriteutils/libburn.xml	(revision 685b658cb76e19ac41f49b40b3e5fd511921bc05)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/cdwriteutils/libisoburn.xml
===================================================================
--- multimedia/cdwriteutils/libisoburn.xml	(revision ba86224fee6bcb029cdaa75de59c86f47d4b6db5)
+++ multimedia/cdwriteutils/libisoburn.xml	(revision 685b658cb76e19ac41f49b40b3e5fd511921bc05)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/cdwriteutils/libisofs.xml
===================================================================
--- multimedia/cdwriteutils/libisofs.xml	(revision ba86224fee6bcb029cdaa75de59c86f47d4b6db5)
+++ multimedia/cdwriteutils/libisofs.xml	(revision 685b658cb76e19ac41f49b40b3e5fd511921bc05)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/gtksourceview2.xml
===================================================================
--- xfce/apps/gtksourceview2.xml	(revision ba86224fee6bcb029cdaa75de59c86f47d4b6db5)
+++ xfce/apps/gtksourceview2.xml	(revision 685b658cb76e19ac41f49b40b3e5fd511921bc05)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/libunique.xml
===================================================================
--- xfce/apps/libunique.xml	(revision ba86224fee6bcb029cdaa75de59c86f47d4b6db5)
+++ xfce/apps/libunique.xml	(revision 685b658cb76e19ac41f49b40b3e5fd511921bc05)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -109,4 +109,5 @@
 <screen><userinput>patch -Np1 -i ../libunique-&libunique-version;-upstream_fixes-1.patch &amp;&amp;
 autoreconf -fi &amp;&amp;
+
 ./configure --prefix=/usr  \
             --disable-dbus \
Index: xfce/apps/mousepad.xml
===================================================================
--- xfce/apps/mousepad.xml	(revision ba86224fee6bcb029cdaa75de59c86f47d4b6db5)
+++ xfce/apps/mousepad.xml	(revision 685b658cb76e19ac41f49b40b3e5fd511921bc05)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/ristretto.xml
===================================================================
--- xfce/apps/ristretto.xml	(revision ba86224fee6bcb029cdaa75de59c86f47d4b6db5)
+++ xfce/apps/ristretto.xml	(revision 685b658cb76e19ac41f49b40b3e5fd511921bc05)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/xfburn.xml
===================================================================
--- xfce/apps/xfburn.xml	(revision ba86224fee6bcb029cdaa75de59c86f47d4b6db5)
+++ xfce/apps/xfburn.xml	(revision 685b658cb76e19ac41f49b40b3e5fd511921bc05)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -79,5 +79,5 @@
     <para role="required">
       <xref linkend="exo"/>,
-      <xref linkend="libxfcegui4"/> and
+      <xref linkend="libxfcegui4"/>, and
       <xref linkend="libisoburn"/>
     </para>
@@ -97,4 +97,5 @@
 
 <screen><userinput>sed -i '/&lt;glib.h&gt;/a#include &lt;glib-object.h&gt;' xfburn/xfburn-settings.h &amp;&amp;
+
 ./configure --prefix=/usr --disable-static &amp;&amp;
 make</userinput></screen>
Index: xfce/apps/xfce4-mixer.xml
===================================================================
--- xfce/apps/xfce4-mixer.xml	(revision ba86224fee6bcb029cdaa75de59c86f47d4b6db5)
+++ xfce/apps/xfce4-mixer.xml	(revision 685b658cb76e19ac41f49b40b3e5fd511921bc05)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/xfce4-notifyd.xml
===================================================================
--- xfce/apps/xfce4-notifyd.xml	(revision ba86224fee6bcb029cdaa75de59c86f47d4b6db5)
+++ xfce/apps/xfce4-notifyd.xml	(revision 685b658cb76e19ac41f49b40b3e5fd511921bc05)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>