Index: xsoft/other/xscreensaver.xml
===================================================================
--- xsoft/other/xscreensaver.xml	(revision 41f721e6696dcaef75140d54794d0df5bbe86aee)
+++ xsoft/other/xscreensaver.xml	(revision 689de0e43034ea5f8e8c89fc39b164b28ea5ad67)
@@ -211,5 +211,5 @@
           xscreensaver, xscreensaver-command, xscreensaver-demo, xscreensaver-getimage,
           xscreensaver-getimage-file, xscreensaver-getimage-video,
-          xscreensaver-gl-helper and xscreensaver-text
+          xscreensaver-gl-helper, xscreensaver-settings and xscreensaver-text
         </seg>
         <seg>
@@ -253,4 +253,81 @@
       </varlistentry>
 
+      <varlistentry id="xscreensaver-demo">
+        <term><command>xscreensaver-demo</command></term>
+        <listitem>
+          <para>
+            is a symlink to <command>xscreensaver-settings</command>
+          </para>
+          <indexterm zone="xscreensaver xscreensaver-demo">
+            <primary sortas="b-xscreensaver-demo">xscreensaver-demo</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xscreensaver-getimage">
+        <term><command>xscreensaver-getimage</command></term>
+        <listitem>
+          <para>
+            is a helper program for the <command>xscreensaver</command>
+            modules that manipulate images
+          </para>
+          <indexterm zone="xscreensaver xscreensaver-getimage">
+            <primary sortas="b-xscreensaver-getimaage">xscreensaver-getimage</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xscreensaver-getimage-file">
+        <term><command>xscreensaver-getimage-file</command></term>
+        <listitem>
+          <para>
+            is a helper program for the <command>xscreensaver</command>
+            modules that manipulate images
+          </para>
+          <indexterm zone="xscreensaver xscreensaver-getimage-file">
+            <primary sortas="b-xscreensaver-getimaage-file">xscreensaver-getimage-file</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xscreensaver-getimage-video">
+        <term><command>xscreensaver-getimage-video</command></term>
+        <listitem>
+          <para>
+            is a helper program for the <command>xscreensaver</command>
+            modules that manipulate images
+          </para>
+          <indexterm zone="xscreensaver xscreensaver-getimage-video">
+            <primary sortas="b-xscreensaver-getimaage-video">xscreensaver-getimage-video</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xscreensaver-gl-helper">
+        <term><command>xscreensaver-gl-helper</command></term>
+        <listitem>
+          <para>
+            is a helper program for the <command>xscreensaver</command>
+            OpenGL modules
+          </para>
+          <indexterm zone="xscreensaver xscreensaver-gl-helper">
+            <primary sortas="b-xscreensaver-gl-helper">xscreensaver-gl-helper</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xscreensaver-gl-visual">
+        <term><command>xscreensaver-gl-visual</command></term>
+        <listitem>
+          <para>
+            is a helper program for the <command>xscreensaver</command>
+            OpenGL modules to figure out which X visual to use
+          </para>
+          <indexterm zone="xscreensaver xscreensaver-gl-visual">
+            <primary sortas="b-xscreensaver-gl-visual">xscreensaver-gl-visual</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="xscreensaver-settings">
         <term><command>xscreensaver-settings</command></term>
@@ -266,69 +343,4 @@
       </varlistentry>
 
-      <varlistentry id="xscreensaver-getimage">
-        <term><command>xscreensaver-getimage</command></term>
-        <listitem>
-          <para>
-            is a helper program for the <command>xscreensaver</command>
-            modules that manipulate images
-          </para>
-          <indexterm zone="xscreensaver xscreensaver-getimage">
-            <primary sortas="b-xscreensaver-getimaage">xscreensaver-getimage</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xscreensaver-getimage-file">
-        <term><command>xscreensaver-getimage-file</command></term>
-        <listitem>
-          <para>
-            is a helper program for the <command>xscreensaver</command>
-            modules that manipulate images
-          </para>
-          <indexterm zone="xscreensaver xscreensaver-getimage-file">
-            <primary sortas="b-xscreensaver-getimaage-file">xscreensaver-getimage-file</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xscreensaver-getimage-video">
-        <term><command>xscreensaver-getimage-video</command></term>
-        <listitem>
-          <para>
-            is a helper program for the <command>xscreensaver</command>
-            modules that manipulate images
-          </para>
-          <indexterm zone="xscreensaver xscreensaver-getimage-video">
-            <primary sortas="b-xscreensaver-getimaage-video">xscreensaver-getimage-video</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xscreensaver-gl-helper">
-        <term><command>xscreensaver-gl-helper</command></term>
-        <listitem>
-          <para>
-            is a helper program for the <command>xscreensaver</command>
-            OpenGL modules
-          </para>
-          <indexterm zone="xscreensaver xscreensaver-gl-helper">
-            <primary sortas="b-xscreensaver-gl-helper">xscreensaver-gl-helper</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xscreensaver-gl-visual">
-        <term><command>xscreensaver-gl-visual</command></term>
-        <listitem>
-          <para>
-            is a helper program for the <command>xscreensaver</command>
-            OpenGL modules to figure out which X visual to use
-          </para>
-          <indexterm zone="xscreensaver xscreensaver-gl-visual">
-            <primary sortas="b-xscreensaver-gl-visual">xscreensaver-gl-visual</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xscreensaver-text">
         <term><command>xscreensaver-text</command></term>