Index: basicnet/mailnews/fetchmail/fetchmail-config.xml
===================================================================
--- basicnet/mailnews/fetchmail/fetchmail-config.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ basicnet/mailnews/fetchmail/fetchmail-config.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -14,5 +14,5 @@
 
 poll SERVERNAME :
-    user username pass password;
+    user <replaceable>[username]</replaceable> pass <replaceable>[password]</replaceable>;
     mda "/usr/bin/procmail -f %F -d %T";
 <command>EOF</command>
Index: basicnet/netprogs/inetutils/inetutils-desc.xml
===================================================================
--- basicnet/netprogs/inetutils/inetutils-desc.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ basicnet/netprogs/inetutils/inetutils-desc.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -38,5 +38,6 @@
 
 <sect3><title>tftp</title>
-<para><command>tftp</command> is an Internet Trivial File Transfer Protocol.</para></sect3>
+<para><command>tftp</command> is an Internet Trivial File Transfer
+Protocol client.</para></sect3>
 
 <sect3><title>whois</title>
@@ -65,5 +66,5 @@
 
 <sect3><title>tftpd</title>
-<para><command>tftpd</command> is a Internet Trivial File Transfer Protocol server.</para></sect3>
+<para><command>tftpd</command> is an Internet Trivial File Transfer Protocol server.</para></sect3>
 
 <sect3><title>uucpd</title>
Index: basicnet/netutils/bind-utils/bind-utils-exp.xml
===================================================================
--- basicnet/netutils/bind-utils/bind-utils-exp.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ basicnet/netutils/bind-utils/bind-utils-exp.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -2,5 +2,5 @@
 <title>Command explanations</title>
 
-<para><command>make -C lib/...</command>: This command  builds the librariess that are needed for the client programs.</para>
+<para><command>make -C lib/...</command>: This command  builds the libraries that are needed for the client programs.</para>
 
 <para><command>make -C bin/dig</command>: This command  builds the client programs.</para>
Index: connect/dhcp/dhcp.xml
===================================================================
--- connect/dhcp/dhcp.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ connect/dhcp/dhcp.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -14,5 +14,5 @@
 <application>dhcp</application> package) and <command>dhcpcd</command>.
 <acronym>BLFS</acronym> presents both sets of installation instructions
-and discuss how 
+and discusses how 
 to create an appropriate service script to work with the 
 <command>network</command> bootscript and the <acronym>DHCP</acronym> 
Index: content/databases/db-3.3/db-3.3-intro.xml
===================================================================
--- content/databases/db-3.3/db-3.3-intro.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ content/databases/db-3.3/db-3.3-intro.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -23,5 +23,5 @@
 url="http://www.sleepycat.com/webforms/patchdl.php?src=patch.3.3.11.1"/></para></listitem>
 <listitem><para>Required Patch: <ulink
-url="http://www.sleepycat.com/webforms/patchdl.php?src=patach.3.3.11.2"/></para></listitem>
+url="http://www.sleepycat.com/webforms/patchdl.php?src=patch.3.3.11.2"/></para></listitem>
 </itemizedlist></sect3>
 
Index: content/databases/postgresql/postgresql-intro.xml
===================================================================
--- content/databases/postgresql/postgresql-intro.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ content/databases/postgresql/postgresql-intro.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -31,5 +31,5 @@
 <xref linkend="openssl"/>,
 <xref linkend="Linux_PAM"/>,
-<ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink> or
+<ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>,
 <xref linkend="mitkrb"/> or <xref linkend="heimdal"/>,
 <ulink url="http://ant.apache.org/">Ant</ulink> and
Index: general/genlib/guile/guile-desc.xml
===================================================================
--- general/genlib/guile/guile-desc.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ general/genlib/guile/guile-desc.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -14,5 +14,5 @@
 
 <sect3><title>guile</title>
-<para><command>guile</command> is a stand-alone scheme interpreter for
+<para><command>guile</command> is a stand-alone Scheme interpreter for
 <application>Guile</application>.</para></sect3>
 
@@ -24,5 +24,5 @@
 
 <sect3><title>guile-snarf</title>
-<para><command>guile-snarf</command> a script to parse declarations in
+<para><command>guile-snarf</command> is a script to parse declarations in
 your <application>C</application> code for <application>Scheme</application> 
 visible <application>C</application> functions, <application>Scheme
Index: general/genlib/libusb/libusb-exp.xml
===================================================================
--- general/genlib/libusb/libusb-exp.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ general/genlib/libusb/libusb-exp.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -3,5 +3,5 @@
 
 <para><parameter>--disable-build-docs</parameter>: This switch turns off
-by default enabled building of documentation since it requires
+the default enabled building of documentation since it requires
 <application>OpenJade</application>.</para>
 </sect2>
Index: general/prog/prog.xml
===================================================================
--- general/prog/prog.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ general/prog/prog.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -7,5 +7,5 @@
 <application>C</application>, <application>C++</application> and
 <application>Perl</application>. This chapter provides instructions to
-build many popular programming environments to greatly expand you
+build many popular programming environments to greatly expand your
 system's development capabilities.</para>
 
Index: general/prog/tcl/tcl-inst.xml
===================================================================
--- general/prog/tcl/tcl-inst.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ general/prog/tcl/tcl-inst.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -19,5 +19,6 @@
 sed -i "s:${DIR}/unix:/usr/lib:" tclConfig.sh &amp;&amp;
 sed -i "s:${DIR}:/usr/include/tcl${V}:" tclConfig.sh &amp;&amp;
-sed -i "s,^TCL_LIB_FILE='libtcl${V}..TCL_DBGX..so',TCL_LIB_FILE=\"libtcl${V}\$\{TCL_DBGX\}.so\"," tclConfig.sh &amp;&amp;
+sed -i "s,^TCL_LIB_FILE='libtcl${V}..TCL_DBGX..so',TCL_LIB_FILE=\"libtcl${V}\$\{TCL_DBGX\}.so\"," \
+    tclConfig.sh &amp;&amp;
 mv ../doc/{,Tcl_}Thread.3 &amp;&amp;
 sed -i 's/ Thread.3/ Tcl_Thread.3/' mkLinks &amp;&amp;
Index: general/sysutils/fcron/fcron-config.xml
===================================================================
--- general/sysutils/fcron/fcron-config.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ general/sysutils/fcron/fcron-config.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -19,5 +19,5 @@
 Refer to the fcrontab man page for proper parameters to address your situation.</para>
 
-<para>Install ithe <filename>/etc/rc.d/init.d/fcron</filename>
+<para>Install the <filename>/etc/rc.d/init.d/fcron</filename>
 init script from the <xref linkend="intro-important-bootscripts"/> package.</para>
                                                                                                                 
Index: kde/kde-intro.xml
===================================================================
--- kde/kde-intro.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ kde/kde-intro.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -2,6 +2,7 @@
 <title>Introduction to <acronym>KDE</acronym></title>
 
-<para><acronym>KDE</acronym> is a comprehensive desktop environment that builds on 
-<application>X</application> Window System and <application>Qt</application> to provide
+<para><acronym>KDE</acronym> is a comprehensive desktop environment that
+builds on an <application>X</application> Window System and
+<application>Qt</application> to provide
 a window manager and many user tools, including a browser, word processor, 
 spreadsheet, presentation package, games, and numerous other utilities. It 
Index: postlfs/config/netfs.xml
===================================================================
--- postlfs/config/netfs.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ postlfs/config/netfs.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -4,5 +4,5 @@
 
 <para>While <acronym>LFS</acronym> is capable of mounting network file
-systems such as <acronym>NFS</acronym> these are not mounted by the
+systems such as <acronym>NFS</acronym>, these are not mounted by the
 <filename>mountfs</filename> init script.  The tools needed to mount
 these systems may not be available on the root partition and the
Index: postlfs/config/profile.xml
===================================================================
--- postlfs/config/profile.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ postlfs/config/profile.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -414,5 +414,5 @@
 <filename>.dircolors</filename> file when a new user is set up. As before, just
 change the output file name on the following command and assure the
-owner and group permissions are correct on the files created and/or copied.
+permissions, owner, and group are correct on the files created and/or copied.
 </para>
 
Index: postlfs/security/firewalling/library.xml
===================================================================
--- postlfs/security/firewalling/library.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ postlfs/security/firewalling/library.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -6,7 +6,7 @@
 <ulink url="http://www.netfilter.org/documentation/FAQ/netfilter-faq.html">Netfilter related FAQ</ulink>
 <ulink url="http://www.netfilter.org/documentation/index.html#HOWTO">Netfilter related HOWTO's</ulink>
-<ulink url="http://www.linuxdoc.org/LDP/nag2/x-087-2-firewall.html">www.linuxdoc.org/LDP/nag2/x-087-2-firewall.html</ulink>
-<ulink url="http://www.linuxdoc.org/HOWTO/Security-HOWTO.html">www.linuxdoc.org/HOWTO/Security-HOWTO.html</ulink>
-<ulink url="http://www.linuxdoc.org/HOWTO/Firewall-HOWTO.html">www.linuxdoc.org/HOWTO/Firewall-HOWTO.html</ulink>
+<ulink url="http://en.tldp.org/LDP/nag2/x-087-2-firewall.html">en.tldp.org/LDP/nag2/x-087-2-firewall.html</ulink>
+<ulink url="http://en.tldp.org/HOWTO/Security-HOWTO.html">en.tldp.org/HOWTO/Security-HOWTO.html</ulink>
+<ulink url="http://en.tldp.org/HOWTO/Firewall-HOWTO.html">en.tldp.org/HOWTO/Firewall-HOWTO.html</ulink>
 <ulink url="http://www-106.ibm.com/developerworks/security/library/s-fire.html">www.ibm.com/developerworks/security/library/s-fire.html</ulink>
 <ulink url="http://www-106.ibm.com/developerworks/security/library/s-fire2.html">www.ibm.com/developerworks/security/library/s-fire2.html</ulink>
@@ -17,5 +17,4 @@
 <ulink url="http://linux.oreillynet.com/pub/a/linux/2000/03/10/netadmin/ddos.html">linux.oreillynet.com/pub/a/linux/2000/03/10/netadmin/ddos.html</ulink>
 <ulink url="http://staff.washington.edu/dittrich/misc/ddos">staff.washington.edu/dittrich/misc/ddos</ulink>
-<ulink url="http://ipmasq.cjb.net/">ipmasq.cjb.net/</ulink>
 <ulink url="http://www.e-infomax.com/ipmasq">www.e-infomax.com/ipmasq</ulink>
 <ulink url="http://www.circlemud.org/~jelson/writings/security/index.htm">www.circlemud.org/~jelson/writings/security/index.htm</ulink>
Index: server/other/openssh/openssh-intro.xml
===================================================================
--- server/other/openssh/openssh-intro.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ server/other/openssh/openssh-intro.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -23,5 +23,5 @@
 <xref linkend="tcpwrappers"/>,
 X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
-<xref linkend="mitkrb"/> or <xref linkend="heimdal"/> and
+<xref linkend="mitkrb"/> or <xref linkend="heimdal"/>, and
 <ulink url="http://www.opensc.org/">OpenSC</ulink>
 </para></sect4>
Index: x/installing/xfree86/xfree86-intro.xml
===================================================================
--- x/installing/xfree86/xfree86-intro.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ x/installing/xfree86/xfree86-intro.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -26,9 +26,8 @@
 
 <sect4><title>Optional</title>
-<para>The following packages are included in the <application>XFree86</application> package, 
+<para><xref linkend="Linux_PAM"/> and the following packages are included in the <application>XFree86</application> package, 
 however they
 are updated more often than the <application>XFree86</application> package and are highly recommended:
-<xref linkend="expat"/>, <xref linkend="freetype2"/>, <xref linkend="fontconfig"/>, and 
-<xref linkend="Linux_PAM"/>.</para>
+<xref linkend="expat"/>, <xref linkend="freetype2"/>, <xref linkend="fontconfig"/>.</para>
 
 <note><para>If you choose not to install <application>expat</application>, 
Index: x/xorg/xorg.xml
===================================================================
--- x/xorg/xorg.xml	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ x/xorg/xorg.xml	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -140,5 +140,5 @@
 
 <sect3><title>Setting Up a Shadow Directory</title>  
-<para>When building, <application>Xorg</application> you should create
+<para>When building <application>Xorg</application>, you should create
 a shadow directory of symbolic links for the compiled code.  To do that, we first
 make the <application>lndir</application>.  Starting from the 
@@ -331,5 +331,5 @@
 a serial mouse on the first serial port would be linked to ttyS1.</para>
  
-<para>Create the <filename>xorg.conf</filename> file with
+<para>Create the <filename>xorg.conf</filename> file with:
 <screen><userinput><command>cd ~
 Xorg -configure</command></userinput></screen>
@@ -370,5 +370,5 @@
  
 </itemizedlist>
-<para>Test the system with
+<para>Test the system with:
 <screen><userinput><command>X -xf86config ~/xorg.conf.new</command></userinput></screen>
 You will only get a gray background with an X-shaped mouse cursor, but it
@@ -378,8 +378,8 @@
 wrong.</para>
  
-<para>Move the configuration file to its final location</para>
+<para>Move the configuration file to its final location:</para>
 <screen><userinput><command>mv ~/xorg.conf.new /etc/X11/xorg.conf</command></userinput></screen>
  
-<para>Create <filename>.xinitrc</filename>
+<para>Create <filename>.xinitrc</filename>:
 <screen><userinput><command>cat &gt; ~/.xinitrc &lt;&lt; "EOF"</command>
 # Begin .xinitrc file
Index: xsoft/graphweb/mozilla/mozilla.ent
===================================================================
--- xsoft/graphweb/mozilla/mozilla.ent	(revision 21eeb86d51fe8a0b8bdaa39a5fab0b77d9ee6bc9)
+++ xsoft/graphweb/mozilla/mozilla.ent	(revision 692e12c5331ce69e93eb86d972dc25b6c53856c8)
@@ -6,5 +6,5 @@
 <!ENTITY mozilla-desc SYSTEM "mozilla-desc.xml">
 <!ENTITY mozilla-version "1.6">
-<!ENTITY enigmail-version "0.83.0">
+<!ENTITY enigmail-version "0.83.6">
 <!ENTITY ipc-version "1.0.5">
 <!ENTITY mozilla-download-http "http://ftp.mozilla.org/pub/mozilla/releases/mozilla&mozilla-version;/src/mozilla-source-&mozilla-version;.tar.bz2">